# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-swh-plugins
Summary:		SWH LADSPA plugins
Version:		0.4.15
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			swh-plugins-%{version}.tar.bz2
Source1:		ladspa-swh.tex.bz2
Source2:		ladspa-swh.pdf.bz2
Source3:		ladspa-swh.html.bz2
URL:			http://plugin.org.uk/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	bzip2
BuildRequires:	fftw3-devel
BuildRequires:	gcc-c++
BuildRequires:	ladspa
BuildRequires:	pkgconfig

%description
SWH LADSPA plugins.



%prep
%setup -q -n swh-plugins-%{version}
%suse_update_libdir Makefile.am
%{?suse_update_config:%{suse_update_config -f}}
#autoreconf --install --force

%build
#CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" \
%configure \
	--prefix=%{_prefix} \

%__make %{?_smp_mflags} \
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall \
	pkgbindir=%{_libdir}/ladspa \
	plugindir=%{_libdir}/ladspa

# install documents
%__install -dm 755 %{buildroot}%{_docdir}/%{name}
%__install -dm 755 %{buildroot}%{_docdir}/%{name}/gsm
%__install -m 644 gsm/README \
	%{buildroot}%{_docdir}/%{name}/gsm
%__install -m 644 AUTHORS ChangeLog COPYING README \
	%{buildroot}%{_docdir}/%{name}
%__install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} \
	%{buildroot}%{_docdir}/%{name}
bzip2 -d %{buildroot}%{_docdir}/%{name}/*.bz2

%find_lang swh-plugins plugins.lang

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files -f plugins.lang
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/*.rdf

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.4.15-0.pm.1
- splitt-off from ladspa package
